<%@ Page Language="VB" %>
<%@ import Namespace="System.Data" %>
<script runat="server">

    Sub Page_Load(sender As Object, e As EventArgs)
      BindGrid()
    End Sub
    
    Sub BindGrid()
      Dim ds As DataSet
    
      ' Cache.Remove("VisualStudio")
    
      ds = CType(Cache("VisualStudio"), DataSet)
      If ds Is Nothing Then
        ds = New DataSet("VisualStudio")
        ds.ReadXml( MapPath("webdb/VisualStudio.xml") )
        Cache.Insert("VisualStudio", ds, _
          New CacheDependency( MapPath("webdb/VisualStudio.xml") ))
      End If
      With DataGrid1
        .DataSource = ds
        .DataBind()
      End With
    End Sub

</script>
<html>
<head>
</head>
<body>
    <form runat="server">
        <h3>データキャッシュ</h3>
        <p>
            <asp:DataGrid id="DataGrid1" runat="server" BorderStyle="Double" GridLines="Horizontal" BorderWidth="3px" BorderColor="#336666" BackColor="White" CellPadding="4" EnableViewState="False">
                <FooterStyle forecolor="#333333" backcolor="White"></FooterStyle>
                <HeaderStyle font-bold="True" forecolor="White" backcolor="#336666"></HeaderStyle>
                <PagerStyle horizontalalign="Center" forecolor="White" backcolor="#336666" mode="NumericPages"></PagerStyle>
                <SelectedItemStyle font-bold="True" forecolor="White" backcolor="#339966"></SelectedItemStyle>
                <ItemStyle forecolor="#333333" backcolor="White"></ItemStyle>
            </asp:DataGrid>
        </p>
    </form>
</body>
</html>
